Subject: [Isis-wg] [Technical Errata Reported] RFC6822 (4520)

From: RFC Errata System <[email-masked]>
Date: Sun, 1 Nov 2015 23:29:49 -0800 (PST)

The following errata report has been submitted for RFC6822,
"IS-IS Multi-Instance".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6822&eid=4520

--------------------------------------
Type: Technical
Reported by: Alexander Okonnikov <[email-masked]>

Section: 2.6.1

Original Text
-------------
   An MI-RTR will use the AllL1IS or AllL2IS ISIS MAC-layer address (as
   defined in [ISO10589]) as the destination address when sending an
   IS-IS PDU for the standard instance.  An MI-RTR will use one of two
   new dedicated layer 2 multicast addresses (AllL1MI-ISs or AllL2MI-
   ISs) as the destination address when sending an IS-IS PDU for any
   non-zero IID.  These addresses are specified in Section 6.  If
   operating in point-to-point mode on a broadcast circuit [RFC5309], an
   MI-RTR MUST use one of the two new multicast addresses as the
   destination address when sending point-to-point IIHs associated with
   a non-zero instance.  (Either address will do.)

   MI-RTRs MUST discard IS-IS PDUs received if either of the following
   is true:

   o  The destination multicast address is AllL1IS or AllL2IS and the
      PDU contains an IID-TLV.

   o  The destination multicast address is one of the two new addresses,
      and the PDU contains an IID-TLV with a zero value for the IID or
      has no IID-TLV.

   NOTE: If the multicast addresses AllL1IS and/or AllL2IS are
   improperly used to send IS-IS PDUs for non-zero IIDs, legacy systems
   will interpret these PDUs as being associated with IID #0.  This will
   cause inconsistencies in the LSDB in those routers, may incorrectly
   maintain adjacencies, and may lead to inconsistent DIS election.

Corrected Text
--------------

   An MI-RTR will use the AllL1ISs or AllL2ISs ISIS MAC-layer address
   (as defined in [ISO10589]) as the destination address when sending
   an IS-IS PDU for the standard instance.  An MI-RTR will use one of
   two new dedicated layer 2 multicast addresses (AllL1MI-ISs or
   AllL2MI-ISs) as the destination address when sending an IS-IS PDU
   for any non-zero IID.  These addresses are specified in Section 6.

   If operating in point-to-point mode on a broadcast circuit
   [RFC5309], an MI-RTR will use the AllL1ISs, AllL2ISs or AllISs
   MAC-layer address (as defined in [ISO10589]) as the destination
   address when sending an IS-IS PDU for the standard instance,
   and will use one of two new multicast addresses (AllL1MI-ISs or
   AllL2MI-ISs; either address will do) as the destination address
   when sending an IS-IS PDU for any non-zero IID.

   MI-RTRs MUST discard IS-IS PDUs received if either of the    
   following is true:

   o  The destination multicast address is AllL1ISs, AllL2ISs or 
      AllISs and the PDU contains an IID-TLV.

   o  The destination multicast address is one of the two new 
      addresses and the PDU contains an IID-TLV with a zero value for 
      the IID or has no IID-TLV.

   NOTE: If the multicast addresses AllL1ISs and/or AllL2ISs and/or 
   AllISs are improperly used to send IS-IS PDUs for non-zero IIDs, 
   legacy systems will interpret these PDUs as being associated with 
   IID #0.  This will cause inconsistencies in the LSDB in those 
   routers, may incorrectly maintain adjacencies, and may lead to 
   inconsistent DIS election.

Notes
-----
1. While operating in point-to-point mode over broadcast circuit, MI-RTR can use any of three multicast addresses for PDUs in standard instance - AllL1ISs, AllL2ISs or AllISs.

2. New multicast addresses must be used for all kinds of IS-IS PDUs, not only for IIHs

3. AllL1IS and AllL2IS are replaced by AllL1ISs and AllL2ISs, respectively (according to ISO 10589:2002).

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC6822 (draft-ietf-isis-mi-08)
--------------------------------------
Title               : IS-IS Multi-Instance
Publication Date    : December 2012
Author(s)           : S. Previdi, Ed., L. Ginsberg, M. Shand, A. Roy, D. Ward
Category            : PROPOSED STANDARD
Source              : IS-IS for IP Internets
Area                : Routing
Stream              : IETF
Verifying Party     : IESG

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Tue, 3 Nov 2015 17:20:43 +0000

I agree that the case of AllIS destination MAC address is not appropriately discussed in Section 2.6.1.

My preferred revision to Section 2.6.1 is slightly different than what is proposed - but substantively the same. 

The need for a bis version of the RFC has recently been discussed outside the context of the recently filed errata - this change will be included in the bis version.

   Les

> -----Original Message-----
> From: RFC Errata System [mailto:[email-masked]]
> Sent: Sunday, November 01, 2015 11:30 PM
> To: Stefano Previdi (sprevidi); Les Ginsberg (ginsberg);
> [email-masked]; Abhay Roy (akr); David Ward (wardd);
> [email-masked]; [email-masked]; Alvaro Retana (aretana);
> [email-masked]; [email-masked]
> Cc: [email-masked]; [email-masked]; rfc-editor@rfc-
> editor.org
> Subject: [Technical Errata Reported] RFC6822 (4520)
> 
> The following errata report has been submitted for RFC6822, "IS-IS Multi-
> Instance".
> 
> 1. While operating in point-to-point mode over broadcast circuit, MI-RTR can
> use any of three multicast addresses for PDUs in standard instance - AllL1ISs,
> AllL2ISs or AllISs.
> 
> This erratum is currently posted as "Reported". If necessary, please use
> "Reply All" to discuss whether it should be verified or rejected. When a
> decision is reached, the verifying party (IESG) can log in to change the status
> and edit the report, if necessary.
>